﻿#ifndef CLIPBOARD_H
#define CLIPBOARD_H

#include "../common/sources/system/cmaths.h"
#include "../common/sources/Map.h"
#include "bridge.h"

class CClipboard
{
public:
    CClipboard();
    virtual ~CClipboard();

    bool isEmpty();

    void copyFromMap(CVec2 mousePos, CVec2 mSize, ETabIndex tabIndex);
    void copyToMap(CVec2 mousePos, ETabIndex index);
    void copyFromClip(CClipboard* src);

    CVec2   mSize;
    ETabIndex   mType; // tile pour une seule case ou un rectangle, wall pour un seul mur, object pour un seul objet...
    EWallSide   mSide; // pour un seul mur

private:
    void    clear();

    CTile*      mMem;
};

#endif // CLIPBOARD_H
